.product {
  display: flex;
  flex-direction: column;
  background-color: #ffffff;
  box-shadow: 0px 3px 6px #00000029;
  border: 2px solid #E4E4E4;
  border-radius: 8px;
  overflow: hidden;

  &:hover {
    .product__bottom {
      svg {
        transform: translateX(3px);
      }
    }
  }

  &__top {
    display: flex;
    flex-direction: column;
    flex: 1;
    position: relative;
    min-height: 180px;

    &__category,
    &__title {
      position: absolute;
      left: 0;
      width: 100%;
    }

    &__category {
      font-size: calculateSize(12);
      line-height: calculateSize(25);
      color: $colorDark;
      opacity: 0.6;
      font-weight: 600;
      text-decoration: underline;
      top: 19px;
      left: 26px;
    }

    &__title {
      font-size: calculateSize(18);
      line-height: calculateSize(24);
      color: $colorGreen;
      font-weight: 700;
      margin-top: auto;
      max-width: 170px;
      bottom: 25px;
      left: 26px;
    }

    &__image {
      object-fit: cover;
      margin-top: auto;
      height: 100%;
    }
  }

  &__bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 18px 26px 20px;
    border-top: 2px solid #E3E4E3;
    margin-top: auto;
    font-size: calculateSize(18);
    line-height: calculateSize(22);
    color: $colorGreen;
    font-weight: 700;

    svg {
      min-height: 18px;
      transition: 0.2s ease;
    }
  }
}
